mailchimp.admin:
  path: 'admin/config/services/mailchimp'
  defaults:
    _form: '\Drupal\mailchimp\Form\MailchimpAdminSettingsForm'
    _title: 'Mailchimp'
  requirements:
    _permission: 'administer mailchimp'

mailchimp.webhook_endpoint:
  path: 'mailchimp/webhook/{hash}'
  defaults:
    _controller: '\Drupal\mailchimp\Controller\MailchimpWebhookController::endpoint'
    _title: 'Mailchimp Webhook Endpoint'
  requirements:
   _access: 'TRUE'

mailchimp.admin.oauth:
  path: 'admin/config/services/mailchimp/oauth'
  defaults:
    _form: '\Drupal\mailchimp\Form\MailchimpAdminOauthSettingsForm'
    _title: 'Mailchimp OAuth Settings'
  requirements:
    _permission: 'administer mailchimp'

mailchimp.get_token:
  path: 'admin/config/services/mailchimp/oauth/retrieve-token/token/{temp_token}/{csrf_token}'
  defaults:
    _title: 'Get Mailchimp Access Token'
    _controller: '\Drupal\mailchimp\Controller\MailchimpOAuthController::getAccessToken'
  requirements:
    _permission: 'administer mailchimp'
